Package org.silverpeas.components.kmelia.control

## Enum KmeliaSessionController.CLIPBOARD_STATE

- java.lang.Object
- - java.lang.Enum<KmeliaSessionController.CLIPBOARD_STATE>
  - - org.silverpeas.components.kmelia.control.KmeliaSessionController.CLIPBOARD_STATE

- All Implemented Interfaces:
    `Serializable`, `Comparable<KmeliaSessionController.CLIPBOARD_STATE>`
  Enclosing class:
    KmeliaSessionController

      public static enum KmeliaSessionController.CLIPBOARD_STATE
      extends Enum<KmeliaSessionController.CLIPBOARD_STATE>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `HAS_COPIES` |
    `HAS_COPIES_AND_CUTS` |
    `HAS_CUTS` |
    `IS_EMPTY` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static KmeliaSessionController.CLIPBOARD_STATE` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static KmeliaSessionController.CLIPBOARD_STATE[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IS_EMPTY

          public static final KmeliaSessionController.CLIPBOARD_STATE IS_EMPTY

    - #### HAS_COPIES

          public static final KmeliaSessionController.CLIPBOARD_STATE HAS_COPIES

    - #### HAS_CUTS

          public static final KmeliaSessionController.CLIPBOARD_STATE HAS_CUTS

    - #### HAS_COPIES_AND_CUTS

          public static final KmeliaSessionController.CLIPBOARD_STATE HAS_COPIES_AND_CUTS

  - ### Method Detail

    - #### values

          public static KmeliaSessionController.CLIPBOARD_STATE[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KmeliaSessionController.CLIPBOARD_STATE c : KmeliaSessionController.CLIPBOARD_STATE.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KmeliaSessionController.CLIPBOARD_STATE valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null